package cn.skcks.study.springcloud.project01.controller;

import cn.skcks.study.springcloud.project01.feign.ProviderClient;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;


@AllArgsConstructor
@RestController
public class ConsumerController {
    private final ProviderClient providerClient;

    @GetMapping("/hi")
    public String hi(){
        return providerClient.hi("feign");
    }
}
