package cn.skcks.study.springcloud.project01.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Data
@Configuration
@ConfigurationProperties(prefix = "seaweedfs")
public class SeaweedfsConfig {
    private String url;
    private String accessKey;
    private String secretKey;
}
